const log = require('@ff0000-ad-tech/debug')('build-source-automator:paths')

function BUILD(context) {
	return `${context}/1-build`
}
function TRAFFIC(context) {
	return `${context}/3-traffic`
}
function TOP_PKG(context) {
	return `${context}/package.json`
}
function TOP_FAT(context) {
	return `${context}/node_modules/@ff0000-ad-tech`
}
function BUILD_PKG(context) {
	return `${context}/package.json`
}
function BUILD_FAT(context) {
	return `${BUILD(context)}/node_modules/@ff0000-ad-tech`
}
function TRAFFIC_PREVIEW_ROUTE(origin, size) {
	return `${origin}${TRAFFIC('')}/default/${size || '300x250'}`
}

module.exports = {
	BUILD,
	TRAFFIC,
	TOP_PKG,
	TOP_FAT,
	BUILD_PKG,
	BUILD_FAT,
	TRAFFIC_PREVIEW_ROUTE
}
